# Interface SublayerExtensionCollection

A collection of sublayer extensions belonging to a LayerExtension or SublayerExtension.

interface SublayerExtensionCollection {
initializedItems: ReadOnlyCollection<SublayerExtension<SublayerExtensionProperties>>;
findById(id: string): SublayerExtension<SublayerExtensionProperties>;
findBySublayerId(id: string | number): SublayerExtension<SublayerExtensionProperties>;
forSublayer(sublayer: SublayerLike): SublayerExtension<SublayerExtensionProperties>;
}

#### Hierarchy (view full)

- InitializableCollection<SublayerExtensionProperties, SublayerExtension>
  - SublayerExtensionCollection

#### Implemented by

- SublayerExtensionCollectionBase

#####
Index

### Properties

initializedItems

### Methods

findById
findBySublayerId
forSublayer

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<SublayerExtension<SublayerExtensionProperties>>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### findById

- findById(id): SublayerExtension<SublayerExtensionProperties>

- Get the sublayer extension for a given id.

  #### Parameters

  - id: string

    The id of the sublayer extension.

  #### Returns SublayerExtension<SublayerExtensionProperties>

  The sublayer extension.

### findBySublayerId

- findBySublayerId(id): SublayerExtension<SublayerExtensionProperties>

- Get the corresponding sublayer extension for a given sublayer id.

  #### Parameters

  - id: string | number

    The id of the sublayer.

  #### Returns SublayerExtension<SublayerExtensionProperties>

  The corresponding sublayer extension.

### forSublayer

- forSublayer(sublayer): SublayerExtension<SublayerExtensionProperties>

- Gets the corresponding sublayer extension for a given sublayer.

  #### Parameters

  - sublayer: SublayerLike

    A sublayer.

  #### Returns SublayerExtension<SublayerExtensionProperties>

  The corresponding sublayer extension.